Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037479
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2017-12-14 15:422018-01-03 12:39
ReportermaiteView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revisionb0f5e5afec1f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037479: "Account No." should not be cut when Trial Balance is printed in PDF format

DescriptionAs we are able to define Search Key of 40 characters long in Account Tree window, it should be correctly printed
Steps To Reproduce0. Access Account Tree window and edit Subaccount "43000" to set Search Key as "43000.00.00.01.0001"
1. Run Trial Balance from 01-01-2017 to 31-12-2017, España org and España general ledger and previous subaccount in PDF format
2. Realize that "Account No" has been cut to "43000.00.00.0"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0101102)
collazoandy4 (developer)
2017-12-18 16:03

As F&B International Group Admin Role0.
  Go to Access Account Tree window and edit Subaccount "43000" to set Search Key as "43000.00.00.01.0001"
  Run Trial Balance from 01-01-2017 to 31-12-2017 for España organitzation and España general ledger and previous subaccount in PDF format
  Realize that Account No is shown correctly
(0101110)
hgbot (developer)
2017-12-18 18:50

Repository: erp/devel/pi
Changeset: b0f5e5afec1f4a83d4fefa484d1051f47bc23f9d
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Dec 15 18:09:17 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/b0f5e5afec1f4a83d4fefa484d1051f47bc23f9d [^]

Fixes issue 37479:Account No. is cut when Trial Balance is printed in PDF format

When the Trial Balance Report is printed in PDF Format the Account No. was cut

To avoid that the isStretchWithOverflow property was set to true to the testfield

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalancePDF.jrxml
---
(0101111)
dmiguelez (developer)
2017-12-18 18:51

Code Review + Testing Ok
(0101529)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-12-14 15:42 maite New Issue
2017-12-14 15:42 maite Assigned To => Triage Finance
2017-12-14 15:42 maite Modules => Core
2017-12-14 15:42 maite Triggers an Emergency Pack => No
2017-12-15 09:27 maite Issue Monitored: networkb
2017-12-15 11:50 dmiguelez Assigned To Triage Finance => collazoandy4
2017-12-18 15:57 collazoandy4 Status new => scheduled
2017-12-18 16:03 collazoandy4 Note Added: 0101102
2017-12-18 18:50 hgbot Checkin
2017-12-18 18:50 hgbot Note Added: 0101110
2017-12-18 18:50 hgbot Status scheduled => resolved
2017-12-18 18:50 hgbot Resolution open => fixed
2017-12-18 18:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b0f5e5afec1f4a83d4fefa484d1051f47bc23f9d [^]
2017-12-18 18:51 dmiguelez Review Assigned To => dmiguelez
2017-12-18 18:51 dmiguelez Note Added: 0101111
2017-12-18 18:51 dmiguelez Status resolved => closed
2017-12-18 18:51 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101529


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker